### Method

# WebKit SecurityOrigin get_host

since: 2.16

#### Declaration [src]

    const gchar*
    webkit_security_origin_get_host (
      WebKitSecurityOrigin* origin
    )

#### Description [src]

Gets the hostname of `origin`.

It is reasonable for this to be `NULL` if its protocol does not require a host component.

Available since: 2.16

#### Return value

Type: `const gchar*`

The host of the `WebKitSecurityOrigin`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.